Subject: bug#60227: closed (Re: bug#60227: guile-ssh 0.16 update)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 22 Dec 2022 07:17:02 +0000

Your bug report

#60227: guile-ssh 0.16 update

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60227: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60227
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60227: guile-ssh 0.16 update
From: Vagrant Cascadian <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 21 Dec 2022 22:56:37 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2022-12-21, Ludovic Courtès wrote:
> Vagrant Cascadian <[email-masked]> skribis:
>
>> Well, that is what I did, pulled guix to the curren wip-guile-ssh-0.16
>> branch (which contains an update to guile-ssh 0.16 and updates guix to
>> use a commit containing that), and managed to guix copy from one machine
>> to another, so I *think* we are good!
>
> As mentioned on IRC, I tested it with ‘GUIX_DAEMON_SOCKET=ssh://…’ and
> ‘guix copy’, and it all seems good.  So I think you can go ahead!

Ok, pushed as 0744540d09ddef8dbf25cc5d65da9d029dab338c.

>> Patch attached for the guile-ssh update. Once that lands in master we
>> can consider updating guix to use it...
>
> No need to update the ‘guix’ package, or am I missing something?  The
> ‘guix’ package depends on guile-ssh, so it’ll end up using the new
> version anyway.

Probably (clearly?) just me overthinking it and somehow... guix builds
with the inputs from the guix commit defined in the guix package, not
just as the source code for the guix package built with the currently
defined guix inputs to using the guix build tool... guix building guix
with guix and with guix defining the guix inputs... to alleviate risk of
casuing any genuine (further) confusion...

I'll trust your judgement here!

live well,
  vagrant

Subject: guile-ssh 0.16 update
From: Vagrant Cascadian <[email-masked]>
To: [email-masked]
Cc: [email-masked], Ludovic Courtès <[email-masked]>
Date: Tue, 20 Dec 2022 15:29:35 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2022-12-20, Vagrant Cascadian wrote:
> On 2022-11-02, Ludovic Courtès wrote:
>> Vagrant Cascadian <[email-masked]> skribis:
>>> On 2022-10-28, Vagrant Cascadian wrote:
>>>> Updating guile-ssh to 0.16.0 actually went mostly smoothly, except
>>>> guix-jupytertest suites fail.
> ...
>>> For clarity, I used:
>>>
>>> ./pre-inst-env guix build --keep-going $(./pre-inst-env guix refresh --list-dependent libssh guile-ssh | cut -d : -f 2 | sed -e 's,guix-daemon,guix,g' | tr ' ' '\n' | grep -v kodi | grep -v jupyter)
>>
>> You can also test Guix SSH functionality, to be on the safe side, for
>> example by running ‘guix copy’ on the ‘guix’ package built with these
>> new versions.
...
> So, I attempted that in the newish wip-guile-ssh-0.16 branch, but
> getting test suite failures even without the guile-ssh patches, so hard
> to test that guix copy works...

That seems to have been fixed by:

  680970490c556ae0029aa1ba2b0faba162118186 tests: Adjust 'guix package' test to latest package search metrics.

Thanks!

> Is this at least the right approach? e.g. point guix at a commit where
> guile-ssh is updated? Is there anything special with the revision? As
> you can see from the wip-guile-ssh-0.16 branch, I tried revision "0.1"
> and then switched back to "0" ... (fearing clobbering a real-world "1"
> revision someday...). I pushed a wip branch just to be able to easily
> pull to a commit not on master... as I don't know how to do that
> locally.
>
> Presuming I can get guix to build successfully, do i then need to
> reconfigure the systems to use a guix-daemon with guile-ssh on both?
> ... and then run "guix copy" between the two systems?

Well, that is what I did, pulled guix to the curren wip-guile-ssh-0.16
branch (which contains an update to guile-ssh 0.16 and updates guix to
use a commit containing that), and managed to guix copy from one machine
to another, so I *think* we are good!

Patch attached for the guile-ssh update. Once that lands in master we
can consider updating guix to use it...

live well,
  vagrant
From 6f33de5f2df02c0ca2ef05409b1993b9fc69f4f9 Mon Sep 17 00:00:00 2001
From: Vagrant Cascadian <[email-masked]>
Date: Thu, 27 Oct 2022 13:13:28 -0700
Subject: [PATCH] gnu: guile-ssh: Update to 0.16.0.

* gnu/packages/ssh.scm (guile-ssh): Update to 0.16.0.
---
 gnu/packages/ssh.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/ssh.scm b/gnu/packages/ssh.scm
index babed807f9..65280bc4da 100644
--- a/gnu/packages/ssh.scm
+++ b/gnu/packages/ssh.scm
@@ -318,7 +318,7 @@ (define-public openssh-sans-x
 (define-public guile-ssh
   (package
     (name "guile-ssh")
-    (version "0.15.1")
+    (version "0.16.0")
     (home-page "https://github.com/artyom-poptsov/guile-ssh")
     (source (origin
               (method git-fetch)
@@ -328,7 +328,7 @@ (define-public guile-ssh
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "0zzn5hsf97b35gixyg4z14sspl15qwnp52y4h89wra4y31l7467q"))))
+                "1ka5ayrg7kysx3bi5d8s0z6n12sdc06qp9gc4k9h2mlw3vz187ny"))))
     (build-system gnu-build-system)
     (outputs '("out" "debug"))
     (arguments
-- 
2.35.1